summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build16-i386/etc/rc.local
diff options
context:
space:
mode:
Diffstat (limited to 'hosts/profitbricks-build16-i386/etc/rc.local')
-rwxr-xr-xhosts/profitbricks-build16-i386/etc/rc.local33
1 files changed, 33 insertions, 0 deletions
diff --git a/hosts/profitbricks-build16-i386/etc/rc.local b/hosts/profitbricks-build16-i386/etc/rc.local
new file mode 100755
index 00000000..b3a760e4
--- /dev/null
+++ b/hosts/profitbricks-build16-i386/etc/rc.local
@@ -0,0 +1,33 @@
+#!/bin/sh -e
+#
+# rc.local
+#
+# This script is executed at the end of each multiuser runlevel.
+# Make sure that the script will "exit 0" on success or any other
+# value on error.
+#
+# In order to enable or disable this script just change the execution
+# bits.
+#
+# By default this script does nothing.
+
+echo "$(date -u) - system was rebooted" | mail -s "$(hostname -f) rebooted" root
+
+# stop ntp
+service ntp stop || true
+# disable systemd date services (and don't fail if systemd ain't running)
+systemctl disable systemd-timesyncd
+systemctl disable systemd-timedated
+systemctl stop systemd-timesyncd || true
+systemctl stop systemd-timedated || true
+# set correct date
+ntpdate -b de.pool.ntp.org
+# set fake date
+date --set="+398 days +6 hours + 23 minutes"
+# disable check for outdated packages as in the future (like this)
+# packages from security.d.o will appear outdated always…
+ln -sf /bin/true /usr/local/bin/dsa-check-packages
+# finally report success
+echo "$(date -u) - system is running in the future now" | mail -s "$(hostname -f) in the future" root
+
+exit 0